### Function

# FwupdPlugin bytes_new_offset

since: 1.8.2

#### Declaration [src]

    GBytes*
    fu_bytes_new_offset (
      GBytes* bytes,
      gsize offset,
      gsize length,
      GError** error
    )

#### Description [src]

Creates a `GBytes` which is a subsection of another `GBytes`.

Available since: 1.8.2

#### Parameters

`bytes`

  Type: `GBytes`

  Data blob.

  The data is owned by the caller of the function.

`offset`

  Type: `gsize`

  Where subsection starts at.

`length`

  Type: `gsize`

  Length of subsection.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GBytes`

A `GBytes`, or `NULL` if range is invalid.

The caller of the function takes ownership of the data, and is responsible for freeing it.